/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:34:17.
 * *************************************************
 */

package cn.com.qmth.examcloud.support;

/**
 * @Description 系统常量
 * @Author lideyin
 * @Date 2019/12/11 15:52
 * @Version 1.0
 */
public interface Constants {

	/**
	 * 系统错误
	 */
	String OE_CODE_500 = "OE-000500";

	/**
	 * 参数错误
	 */
	String OE_CODE_400 = "OE-000400";

	/**
	 * 权限错误
	 */
	String OE_CODE_403 = "OE-000403";

	/**
	 * 考试控制锁
	 */
	String EXAM_CONTROL_LOCK_PREFIX = "oe_student:exam_control_lock_studentid_";

	/**
	 * 考试同步控制锁
	 */
	String EXAM_SYNC_CONTROL_LOCK_PREFIX = "oe_student:exam_sync_control_lock_studentid_";

	/**
	 * 考试交卷锁前缀
	 */
	String HAND_IN_EXAM_LOCK_PREFIX = "oe_student:hand_in_exam_lock_";

	/**
	 * 获取人脸活体检测基本信息前缀
	 */
	String GET_FACE_BIOPSY_INFO_PREFIX = "oe_student:get_face_biopsy_info_lock_";

	//
	String ERROR_MSG = "error_message";

	/**
	 * 学生考试session前缀
	 */
	String OE_STUDENT_EXAM_SESSION_PREFIX = "oe_student:exam_session_";

	String EXAM_CAPTURE_QUEUE_LOCK_PREFIX = "oe_student:exam_capture_queue_lock_";

	/**
	 * 原始数据库表
	 */
	String OE_EXAM_RECORD = "oe_exam_record";

	String ECS_EXAM_STUDENT = "ecs_exam_student";

	String OE_EXAM_QUESTION = "oe_exam_question";

	String OE_EXAM_CAPTURE = "oe_exam_capture";

	String OE_EXAM_SCORE = "oe_exam_score";

	String OE_EXAM_AUDIT = "oe_exam_audit";

	String OE_FACE_VERIFY = "oe_face_verify";

	/**
	 * 新数据库表
	 */
	String EC_OE_EXAM_RECORD_DATA = "ec_oe_exam_record_data";

	String EC_OE_EXAM_STUDENT = "ec_oe_exam_student";

	String EXAM_RECORD_QUESTIONS = "examRecordQuestions";

	String EC_OE_EXAM_CAPTURE = "ec_oe_exam_capture";

	String EC_OE_EXAM_SCORE = "ec_oe_exam_score";

	String EC_OE_EXAM_AUDIT = "ec_oe_exam_audit";

	String EC_OE_EXAM_FACE_VERIFY = "ec_oe_exam_face_liveness_verify";

	/**
	 * 课程信息表
	 */
	String ECS_CORE_COURSE = "ecs_core_course";

	// 缓存
	String CACHE_EXAM_STUDENT_PREFIX = "cache_examStudent_";

	String CACHE_PHONE_PREFIX = "cache_phone_";

	String CACHE_STUDENT_PREFIX = "cache_student_";

	String CACHE_ORG_PREFIX = "cache_org_";

	String CACHE_COURSE_PREFIX = "cache_course_";

	String isTrue = "true";

	String isFalse = "false";

	/**
	 * 考试成绩通知路径前缀
	 */
	String OE_EXAM_SCORE_NOTIFY_URL_PREFIX = "oe.examScoreNotify.url.";

	/**
	 * 考试成绩通知路径传输方法前缀
	 */
	String OE_EXAM_SCORE_NOTIFY_URL_HTTP_METHOD_PREFIX = "oe.examScoreNotify.url.httpMethod.";

	// face++ 人脸比对相关错误详情
	/**
	 * face++ 人脸比对API并发次数超过上限
	 */
	String FACE_COMPARE_CONCURRENCY_LIMIT_EXCEEDED = "CONCURRENCY_LIMIT_EXCEEDED";

	/**
	 * face++
	 * api_key没有调用本API的权限，具体原因为：用户自己禁止该api_key调用、管理员禁止该api_key调用、由于账户余额不足禁止调用。
	 */
	String FACE_COMPARE_AUTHORIZATION_ERROR = "AUTHORIZATION_ERROR";

	/**
	 * face++ 下载图片超时
	 */
	String FACE_COMPARE_IMAGE_DOWNLOAD_TIMEOUT = "IMAGE_DOWNLOAD_TIMEOUT";

	// 百度活检错误码 http://ai.baidu.com/docs#/Face-Java-SDK/514d7ea4
	String BAIDU_ERROR_CODE = "error_code";

	String BAIDU_ERROR_MSG = "error_msg";

	String BAIDU_SUCCESS_ERROR_CODE_VALUE = "0";

	/**
	 * 连接超时或读取数据超时
	 */
	String BAIDU_FACELIVENESS_CONNECTION_OR_READ_DATA_TIME_OUT_CODE = "SDK108";

	/**
	 * 百度在线活体检测QPS超过上限的错误码
	 */
	String BAIDU_FACELIVENESS_QPS_LIMIT_EXCEEDED_CODE = "18";

	/**
	 * 抓拍照片又拍云签名前缀
	 */
	String EXAM_CAPTURE_PHOTO_UPYUN_SIGN_PREFIX = "OE_EXAM_CAPTURE_PHOTO_UPYUN_SIGN_";

	// 抓拍照片的又拍云id
	String CAPTURE_PHOTO_UPYUN_SITEID = "capturePhoto";

	/**
	 * 处理照片高优先级
	 */
	int PROCESS_CAPTURE_HIGH_PRIORITY = 1;

	/**
	 * 照片处理中状态码
	 */
	String CAPTURE_PROCESSING_STATUS_CODE = "101222";

	/**
	 * 考试未结束状态码
	 */
	String EXAM_RECORD_NOT_END_STATUS_CODE = "101333";

	/**
	 * 交卷处理中
	 */
	String PROCESSING_EXAM_RECORD_CODE = "S-101000";

	/**
	 * 通用成功编码
	 */
	String COMMON_SUCCESS_CODE = "000000";

	/**
	 * 同步人脸比对结果前缀
	 */
	String FACE_SYNC_COMPARE_RESULT_PREFIX = "FACE_SYNC_COMPARE_RESULT_";

	/**
	 * 活体检测方案key
	 */
	String IDENTIFICATION_OF_LIVING_BODY_SCHEME_KEY = "IDENTIFICATION_OF_LIVING_BODY_SCHEME";

	/**
	 * 默认的百度活检阈值
	 */
	Double DEFAULT_BAIDU_FACELIVENESS_THRESHOLD=0.39;
	
	/**
	 * 小程序作答文件上传id
	 */
	String MINI_PROGRAM_ANWSER_SITEID = "miniProgramAnwser";

	/**
	 * 证件隐私模式key
	 */
	String ID_NUMBER_PRIVATE_MODE_KEY = "ID_NUMBER_PRIVATE_MODE";
}