package cn.com.qmth.examcloud.support.enums;

/**
 *
 * @author  	chenken
 * @date    	2018年11月15日 下午5:37:35
 * @company 	QMTH
 * @description 考试属性
 */
public enum ExamProperties {

	SCORE_PUBLISHING("发布成绩"),
	IS_ENTRANCE_EXAM("是否入学考试"),
	FREEZE_TIME("交卷冻结时间"),
	EXAM_RECONNECT_TIME("断点续考时间"),
	BEFORE_EXAM_REMARK("考前说明"),
	AFTER_EXAM_REMARK("考后说明"),
	SHOW_CHEATING_REMARK("是否展示作弊"),
	CHEATING_REMARK("作弊说明"),
	PRACTICE_TYPE("练习模式"),
	SINGLE_EDIT("单选题补充说明是否可填"),
	MUTIPLE_EDIT("多选题补充说明是否可填"),
	BOOL_EDIT("判断题补充说明是否可填"),
	FILL_BLANK_EDIT("填空题补充说明是否可填"),
	SINGLE_ANSWER_REMARK("单选题补充说明"),
	MUTIPLE_ANSWER_REMARK("多选题补充说明"),
	BOOL_ANSWER_REMARK("判断题补充说明"),
	FILL_BLANK_REMARK("填空题补充说明"),
	TEXT_ANSWER_REMARK("问答题补充说明"),
	nestedAnswerRemark("套题补充说明"),
	IS_FACE_ENABLE("是否启用人脸识别"),
	IS_FACE_CHECK("进入考试是否验证人脸识别"),
	WARN_THRESHOLD("人脸检测预警阈值"),
	MARKING_TYPE("阅卷方式"),
	IS_FACE_VERIFY("是否开启人脸活体检测"),
	FACE_VERIFY_START_MINUTE("活体检测开始分钟数"),
	FACE_VERIFY_END_MINUTE("活体检测结束分钟数"),
	ADD_FACE_VERIFY_OUT_FREEZE_TIME("冻结时间外新加人脸活体检测"),
	OUT_FREEZE_TIME_FACE_VERIFY_START_MINUTE("冻结时间外活体检测开始分钟数"),
	OUT_FREEZE_TIME_FACE_VERIFY_END_MINUTE("冻结时间外活体检测结束分钟数"),
	IP_LIMIT("是否IP限制"),
	IP_ADDRESSES("IP白名单"),
	IS_OBJ_SCORE_VIEW("是否显示客观题成绩"),
	CAN_UPLOAD_ATTACHMENT("是否允许上传附件(离线考试)"),
	LIVING_WARN_THRESHOLD("人脸真实性阈值"),
	MARKING_TASK_BUILDED("阅卷是否生成评卷任务"),
	OFFLINE_UPLOAD_FILE_TYPE("离线考试上传文件类型"),
	PUSH_SCORE("是否推送分数"),
	MAX_INTERRUPT_NUM("最大断点续考次数"),
	IS_STRANGER_ENABLE("是否启用陌生人检测"),
	LIMITED_IF_NO_SPECIAL_SETTINGS("无特殊设置时禁止考试"),
	WEIXIN_ANSWER_ENABLED("是否开放微信小程序作答"),
	APP_EXAM_ENABLED("是否开放app考试"),
	EXAM_CYCLE_ENABLED("是否启用考试周期设置"),
	EXAM_CYCLE_WEEK("考试周期星期设置"),
	EXAM_CYCLE_TIME_RANGE("考试周期时间段设置");

	private ExamProperties(String desc){
		this.desc = desc;
	}

	private String desc;

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

}
