package cn.com.qmth.examcloud.support.examing;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;

/**
 * 考试会话
 *
 * @author WANGWEI
 * @date 2019年12月9日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamingSession implements JsonSerializable {

    private static final long serialVersionUID = -7960639278784327099L;

    /**
     * 全局唯一考试标识符
     */
    private String key;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 学习中心ID
     */
    private Long orgId;

    /**
     * 考试状态
     */
    private ExamingStatus examingStatus;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 课程ID
     */
    private Long courseId;

    /**
     * 课程CODE
     */
    private String courseCode;

    /**
     * 考生ID
     */
    private Long examStudentId;

    /**
     * 创建时间
     */
    private Date creationTime;

    /**
     * 试卷类型
     */
    private String paperType;

    /**
     * 考试记录DataID
     */
    private Long examRecordDataId;

    /**
     * 考试开始时间(开始答题时间)
     */
    private Long startTime;

    /**
     * 冻结时间：分钟
     */
    private Integer freezeTime;

    /**
     * 考试类型
     */
    private String examType;

    /**
     * 断点续考时间：分钟
     */
    private Integer examReconnectTime;

    /**
     * 考试时长：毫秒
     */
    private Long examDuration;

    /**
     * 场次id
     */
    private Long examStageId;

    /**
     * 是否定点交卷
     */
    private boolean timingEnd;

    /**
     * 定点交卷的时间
     */
    private Date fixedSubmitTime;

    /**
     * 构建key
     *
     * @return
     * @author WANGWEI
     */
    public String buildKey() {
        this.key = new StringBuilder().append("EXAMING:").append(rootOrgId).append(":")
                .append(studentId).toString();
        return this.key;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public ExamingStatus getExamingStatus() {
        return examingStatus;
    }

    public void setExamingStatus(ExamingStatus examingStatus) {
        this.examingStatus = examingStatus;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Integer getFreezeTime() {
        return freezeTime;
    }

    public void setFreezeTime(Integer freezeTime) {
        this.freezeTime = freezeTime;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Integer getExamReconnectTime() {
        return examReconnectTime;
    }

    public void setExamReconnectTime(Integer examReconnectTime) {
        this.examReconnectTime = examReconnectTime;
    }

    public Long getExamDuration() {
        return examDuration;
    }

    public void setExamDuration(Long examDuration) {
        this.examDuration = examDuration;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getExamStageId() {
        return examStageId;
    }

    public void setExamStageId(Long examStageId) {
        this.examStageId = examStageId;
    }

    public Date getFixedSubmitTime() {
        return fixedSubmitTime;
    }

    public void setFixedSubmitTime(Date fixedSubmitTime) {
        this.fixedSubmitTime = fixedSubmitTime;
    }

    public boolean getTimingEnd() {
        return timingEnd;
    }

    public void setTimingEnd(boolean timingEnd) {
        this.timingEnd = timingEnd;
    }
}
