package cn.com.qmth.examcloud.web.support;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer;
import com.fasterxml.jackson.databind.module.SimpleModule;
import org.springframework.stereotype.Component;

import java.io.IOException;

/**
 * trim string
 *
 * @author WANGWEI
 * @date 2019年2月21日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Component
public class StringTrimModule extends SimpleModule {

	private static final long serialVersionUID = 4963398126059703783L;

	public StringTrimModule() {
		addDeserializer(String.class, new StdScalarDeserializer<String>(String.class) {

			private static final long serialVersionUID = 8976897962538438373L;

			@Override
			public String deserialize(JsonParser jsonParser, DeserializationContext ctx)
					throws IOException, JsonProcessingException {
				return jsonParser.getValueAsString().trim();
			}
		});
	}
}